Skip to main content
`Ctrl`+`K`

# NEPInterpolSetInterpolation

Sets the tolerance and maximum degree when building the interpolation polynomial.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPInterpolSetInterpolation(NEP nep,PetscReal tol,PetscInt deg)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- tol - tolerance to stop computing polynomial coefficients

- deg - maximum degree of interpolation

## Options Database Keys

- -nep_interpol_interpolation_tol tol - sets the tolerance to stop computing polynomial coefficients

- -nep_interpol_interpolation_degree deg - sets the maximum degree of interpolation

## Note

`PETSC_CURRENT` can be used to preserve the current value of any of the arguments, and `PETSC_DETERMINE` to set them to a default value.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPINTERPOL`, `NEPInterpolGetInterpolation()`

## Level

advanced

## Location

src/nep/impls/interpol/interpol.c

## Implementations

NEPInterpolSetInterpolation_Interpol() in src/nep/impls/interpol/interpol.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages